2

I'm trying to create an Add-in in ArcGIS and used Python Add-in Wizard: http://www.arcgis.com/home/item.html?id=5f3aefe77f6b4f61ad3e4c62f30bff3b

Everything went fine until i came to this step:

enter image description here

when i click on 'Install Add-In' I get the following Error: enter image description here

After some digging I came to the conclusion that the wizard creates Addins for 10.1 or above and I am using 10.0. Is there a way to copy-paste the .py file and make it work?

I tried to create a folder at: C:\Users\my_user\OneDrive\Documentos\ArcGIS\AddIns\Desktop10.0\my_plugin with the .py file but it doesnt apear in the 'Add-In Manager'.


I made it work following this: ftp://ftp.dnr.state.mn.us/pub/gisftp/2014_GISLIS/Intro_To_Addins/Pre-Class%20Software%20Setup%20Instructions_AddIns2014.pdf

where instead of VS 2010 Express i used Visual Basic 2008 SP1

5

The documentation states:

Add-ins are not backward compatible. Add-ins targeting 10.1, for example, will not work with 10.0 but will work with 10.2.

Considering that ArcGIS 10.0 is old enough to have been Retired for nearly two years, and that the link you provided states that Python Add-ins were new at 10.1, it doesn't seem likely you'll find a way to make this work.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.